> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Notification

> Retrieves a single notification by ID.



## OpenAPI

````yaml schemas/2023-08-25/schema.yaml get /notifications/{public_id}
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /notifications/{public_id}:
    get:
      tags:
        - notifications
      description: Retrieves a single notification by ID.
      operationId: notifications_retrieve
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Notification'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    Notification:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        notification_type:
          allOf:
            - $ref: '#/components/schemas/NotificationTypeEnum'
          readOnly: true
          description: >-
            The type of notification. For example, `welcome` is created for new
            hires and `enrollment_submitted` after a member submits their
            enrollment.
        related_object_type:
          allOf:
            - $ref: '#/components/schemas/RelatedObjectTypeEnum'
          readOnly: true
          description: The type of the object this notification is about.
        related_object_id:
          type: string
          readOnly: true
          description: >-
            ID of the object this notification is about, so you can look up more
            information if needed.
        payload:
          type: object
          readOnly: true
          description: >-
            Commonly used information for notifications of this type that can be
            populated into an email template.
        owner:
          allOf:
            - $ref: '#/components/schemas/NotificationOwnerEnum'
          readOnly: true
          description: >-
            Who is responsible for delivering this notification to the
            recipient.
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - id
        - notification_type
        - related_object_type
        - related_object_id
        - payload
        - owner
        - created_at
    NotificationTypeEnum:
      enum:
        - enrollment_submitted
        - enrollment_approved
        - member_terminated
        - welcome
        - newly_eligible
        - dependent_age_out
        - open_enrollment_kickoff
        - open_enrollment_reminder
      type: string
      description: >-
        * `enrollment_submitted` - A member submitted their enrollment

        * `enrollment_approved` - A member's enrollment was approved

        * `member_terminated` - A member was terminated

        * `welcome` - A new hire should be welcomed and invited to enroll

        * `newly_eligible` - A member became eligible for benefits

        * `dependent_age_out` - A member's dependent is about to age out of
        coverage

        * `open_enrollment_kickoff` - An open enrollment window opened

        * `open_enrollment_reminder` - A member has not yet completed open
        enrollment
    RelatedObjectTypeEnum:
      enum:
        - member
        - dependent
        - employer
        - open_enrollment_window
        - payroll_benefit
        - subclass
        - enrollment
        - business_unit
        - beneficiary
        - plan
        - plan_configuration
        - notification
        - retirement_connection
      type: string
      description: |-
        * `member` - Member
        * `dependent` - Dependent
        * `employer` - Employer
        * `open_enrollment_window` - Open Enrollment Window
        * `payroll_benefit` - Payroll Benefit
        * `subclass` - Subclass
        * `enrollment` - Enrollment
        * `business_unit` - Business Unit
        * `beneficiary` - Beneficiary
        * `plan` - Plan
        * `plan_configuration` - Plan Configuration
        * `notification` - Notification
        * `retirement_connection` - Retirement Connection
    NotificationOwnerEnum:
      enum:
        - clasp
        - partner
      type: string
      description: |-
        * `clasp` - Clasp delivers this notification
        * `partner` - You (the partner) deliver this notification
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````